View Issue Details

IDProjectCategoryView StatusLast Update
0002270SOGoWeb Mailpublic2013-09-27 15:38
ReporterLudovic Hutin Assigned Toludovic  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.4b 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002270: Problem with mimetype image/pdf
Description

We got a strange problem with pdf files. The file is in the mail,
but we can't see them. (With the last version, it's the same).

Sometimes we got some attachment like that

------=_=-_OpenGroupware_org_NGMime-6469-1363274063.976003-0------
content-type: image/pdf
content-transfer-encoding: base64
content-length: 80523
content-disposition: inline; filename="MYFILE.pdf"

And this attachment are not visible on the Web interface. Is

there a way to show them ?

Probably a mime-type problem ?

When you have no way to fix the sender side, i think the Web

Interface of SOGo should (at least) show the attachment. In this
situation you can't save the file.
With Thunderbird, there is no problem you can download the file and
open it.

TagsNo tags attached.

Activities

ludovic

ludovic

2013-03-18 07:16

administrator   ~0005425

Please attach a sample mail to this ticket.

2013-03-18 09:45

 

mail (12,551 bytes)   
Return-Path: <ludovic.hutin@unistra.fr>
Received: from mailserver.u-strasbg.fr (xxxx17.u-strasbg.fr [130.79.1.1]) 
          by xxxx16.u-strasbg.fr (8.14.3/jtpda-5.5pre1) with ESMTP id r2IDTL06004585 
          for <ludovic.hutin@unistra.fr>; Mon, 18 Mar 2013 14:29:21 +0100 (envelope-from ludovic.hutin@unistra.fr)
Received: from [130.79.1.1] (xxxxxxxx.unistra.fr [130.79.1.1]) (user=ludovic.hutin mech=PLAIN)
          by mailserver.u-strasbg.fr (8.14.3/jtpda-5.5pre1) with ESMTP id r2IDTLcg005787 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
          for <ludovic.hutin@unistra.fr>; Mon, 18 Mar 2013 14:29:21 +0100 (envelope-from ludovic.hutin@unistra.fr)
Message-ID: <514716B0.1080201@unistra.fr>
Date: Mon, 18 Mar 2013 14:29:20 +0100
From: Ludovic Hutin <ludovic.hutin@unistra.fr>
User-Agent: Mozilla/5.0 (X11; Linux i686 on x86_64; rv:17.0) Gecko/20130215 Thunderbird/17.0.3
MIME-Version: 1.0
To: Ludovic HUTIN <ludovic.hutin@unistra.fr>
Subject: ExempleOfFailedMail
Content-Type: multipart/mixed;
 boundary="------------050906020104000601090709"

This is a multi-part message in MIME format.
--------------050906020104000601090709
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

ExempleOfFailedMail

Ludovic.

--------------050906020104000601090709
content-type: image/pdf
content-transfer-encoding: base64
content-disposition: inline; filename="SOGo-Prob.pdf"
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--------------050906020104000601090709--

mail (12,551 bytes)   
Ludovic Hutin

Ludovic Hutin

2013-03-18 09:56

reporter   ~0005426

The problem affect only Firefox, with Chrome with got an icon, and we can at least download the pdf file.

ludovic

ludovic

2013-04-10 15:57

administrator   ~0005509

The problem is the content-type.

image/pdf isn't good, and it was provided by Thunderbird.

You can still save the file by clicking on the small icon and choosing "save as..."

Ludovic Hutin

Ludovic Hutin

2013-04-11 08:56

reporter   ~0005514

<quote>You can still save the file by clicking on the small icon and choosing "save as..."</quote>

With Firefox you have no small icon...

jem555

jem555

2013-09-10 11:28

reporter   ~0005965

Hi. Same here. I received a mail that was sent using Microsoft Outlook 2010 with a pdf file attached. I cannot see the email preview in SOGO web interface neither open the message. Although I can select "Save as..." on that mail, open the "Saved messages.zip", then open the .eml file and there is my pdf file.

Content-type: image/pdf

I'm with Firefox and Chrome...same issue.

Hope it helps.

2013-09-10 11:29

 

log_sogo.txt (5,402 bytes)   
Sep 10 12:25:28 sogod [29430]: <0x0x7f37eab68f80[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Sep 10 12:25:28 sogod [29430]: <0x0x7f37eab68f80[SOGoCache]> Using host(s) 'localhost' as server(s)
2013-09-10 12:25:28.065 sogod[29430] Note(SoObject): SoDebugKeyLookup is enabled!
2013-09-10 12:25:28.065 sogod[29430] Note(SoObject): SoDebugBaseURL is enabled!
2013-09-10 12:25:28.065 sogod[29430] Note(SoObject): relative base URLs are enabled.
2013-09-10 12:25:28.070 sogod[29430] WARNING: IMAP4 connection pooling is disabled!
2013-09-10 12:25:28.099 sogod[29430] Note(NGImap4Connection): using '.' as the IMAP4 folder separator.
2013-09-10 12:25:28.279 sogod[29430] ERROR(-[NGBundleManager bundleWithPath:]): could not create bundle for path: '/usr/share/GNUstep/Libraries/gnustep-base/Versions/1.22/Resources/SSL.bundle'
2013-09-10 12:25:28.296 sogod[29430] WOCompoundElement: pool embedding is on.
2013-09-10 12:25:28.296 sogod[29430] WOCompoundElement: id logging is on.
2013-09-10 12:25:28.302 sogod[29430] Note: using constant etag for mail viewer: '"imap4url_2_0_7"'
Sep 10 12:25:28 sogod [29430]: [ERROR] <0x0x7f37eb0c1c10[UIxMailRenderingContext]> found no viewer for MIME type: application/pdf
EXCEPTION: <NSException: 0x7f37eb1b90a0> NAME:NSInvalidArgumentException REASON:GSCBufferString(instance) does not recognize appendFormat: INFO:(null)
Sep 10 12:25:28 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]> child 29430 exited
Sep 10 12:25:28 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]>  (terminated due to signal 6)
Sep 10 12:25:28 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]> avoiding to respawn child before 2013-09-10 12:25:33 -0300
Sep 10 12:25:33 sogod [27937]: <0x0x7f37eac56a00[WOWatchDog]> child spawned with pid 29434
2013-09-10 12:25:33.043 sogod[29434] Note: Using UTF-8 as URL encoding in NGExtensions.
Sep 10 12:25:33 sogod [29434]: <0x0x7f37ead99210[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Sep 10 12:25:33 sogod [29434]: <0x0x7f37ead99210[SOGoCache]> Using host(s) 'localhost' as server(s)
2013-09-10 12:25:33.050 sogod[29434] Note(SoObject): SoDebugKeyLookup is enabled!
2013-09-10 12:25:33.050 sogod[29434] Note(SoObject): SoDebugBaseURL is enabled!
2013-09-10 12:25:33.050 sogod[29434] Note(SoObject): relative base URLs are enabled.
2013-09-10 12:25:33.052 sogod[29434] WARNING: IMAP4 connection pooling is disabled!
2013-09-10 12:25:33.079 sogod[29434] Note(NGImap4Connection): using '.' as the IMAP4 folder separator.
2013-09-10 12:25:33.259 sogod[29434] ERROR(-[NGBundleManager bundleWithPath:]): could not create bundle for path: '/usr/share/GNUstep/Libraries/gnustep-base/Versions/1.22/Resources/SSL.bundle'
2013-09-10 12:25:33.275 sogod[29434] WOCompoundElement: pool embedding is on.
2013-09-10 12:25:33.275 sogod[29434] WOCompoundElement: id logging is on.
2013-09-10 12:25:33.322 sogod[29434] Note: using constant etag for mail viewer: '"imap4url_2_0_7"'
Sep 10 12:25:33 sogod [29434]: [ERROR] <0x0x7f37eb1918b0[UIxMailRenderingContext]> found no viewer for MIME type: application/pdf
EXCEPTION: <NSException: 0x7f37eb253820> NAME:NSInvalidArgumentException REASON:GSCBufferString(instance) does not recognize appendFormat: INFO:(null)
Sep 10 12:25:33 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]> child 29434 exited
Sep 10 12:25:33 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]>  (terminated due to signal 6)
Sep 10 12:25:33 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]> avoiding to respawn child before 2013-09-10 12:25:38 -0300
Sep 10 12:25:38 sogod [27937]: <0x0x7f37eac56a00[WOWatchDog]> child spawned with pid 29438
2013-09-10 12:25:38.055 sogod[29438] Note: Using UTF-8 as URL encoding in NGExtensions.
Sep 10 12:25:38 sogod [29438]: <0x0x7f37eab68f80[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Sep 10 12:25:38 sogod [29438]: <0x0x7f37eab68f80[SOGoCache]> Using host(s) 'localhost' as server(s)
2013-09-10 12:25:38.075 sogod[29438] Note(SoObject): SoDebugKeyLookup is enabled!
2013-09-10 12:25:38.075 sogod[29438] Note(SoObject): SoDebugBaseURL is enabled!
2013-09-10 12:25:38.075 sogod[29438] Note(SoObject): relative base URLs are enabled.
2013-09-10 12:25:38.076 sogod[29438] WARNING: IMAP4 connection pooling is disabled!
2013-09-10 12:25:38.091 sogod[29438] Note(NGImap4Connection): using '.' as the IMAP4 folder separator.
2013-09-10 12:25:38.263 sogod[29438] ERROR(-[NGBundleManager bundleWithPath:]): could not create bundle for path: '/usr/share/GNUstep/Libraries/gnustep-base/Versions/1.22/Resources/SSL.bundle'
2013-09-10 12:25:38.273 sogod[29438] WOCompoundElement: pool embedding is on.
2013-09-10 12:25:38.273 sogod[29438] WOCompoundElement: id logging is on.
2013-09-10 12:25:38.275 sogod[29438] Note: using constant etag for mail viewer: '"imap4url_2_0_7"'
Sep 10 12:25:38 sogod [29438]: [ERROR] <0x0x7f37eb0c1c10[UIxMailRenderingContext]> found no viewer for MIME type: application/pdf
EXCEPTION: <NSException: 0x7f37eb1b90a0> NAME:NSInvalidArgumentException REASON:GSCBufferString(instance) does not recognize appendFormat: INFO:(null)
Sep 10 12:25:38 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]> child 29438 exited
Sep 10 12:25:38 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]>  (terminated due to signal 6)
Sep 10 12:25:38 sogod [27937]: <0x0x7f37eaca3450[WOWatchDogChild]> avoiding to respawn child before 2013-09-10 12:25:43 -0300

log_sogo.txt (5,402 bytes)   
ludovic

ludovic

2013-09-27 15:38

administrator   ~0006066

https://github.com/inverse-inc/sogo/commit/84e999229bd2e0ca5c76b613dbfab7b15432bfcc

Issue History

Date Modified Username Field Change
2013-03-18 06:30 Ludovic Hutin New Issue
2013-03-18 07:16 ludovic Note Added: 0005425
2013-03-18 09:45 Ludovic Hutin File Added: mail
2013-03-18 09:56 Ludovic Hutin Note Added: 0005426
2013-04-05 14:38 ludovic Target Version => 2.0.5
2013-04-10 15:57 ludovic Note Added: 0005509
2013-04-10 15:57 ludovic Status new => resolved
2013-04-10 15:57 ludovic Resolution open => won't fix
2013-04-10 15:57 ludovic Assigned To => ludovic
2013-04-11 08:56 Ludovic Hutin Note Added: 0005514
2013-04-11 08:56 Ludovic Hutin Status resolved => feedback
2013-04-11 08:56 Ludovic Hutin Resolution won't fix => reopened
2013-04-11 15:48 ludovic Target Version 2.0.5 => soon
2013-09-10 11:28 jem555 Note Added: 0005965
2013-09-10 11:29 jem555 File Added: log_sogo.txt
2013-09-27 15:37 ludovic Target Version soon => 2.1.0
2013-09-27 15:38 ludovic Note Added: 0006066
2013-09-27 15:38 ludovic Status feedback => closed
2013-09-27 15:38 ludovic Resolution reopened => fixed
2013-09-27 15:38 ludovic Fixed in Version => 2.1.0